ServerEvents.recipes(event => {
  const TICKS = 2400
  const YIELD = 0.5

  function addSoil(ore) {
    event.recipes.botanypots.soil(
      `geore:${ore}_block`,
      DisplayState.basic(`geore:${ore}_block`),
      0.0,
      0.0
    )
  }

  function addCrop(ore) {
    event.recipes.botanypots.crop(
      `geore:${ore}_cluster`,                 // seed item
      `geore:${ore}_block`,                   // soil item
      DisplayState.basic(`geore:${ore}_cluster`), // display block
      [
        DropItem.item(Item.of(`geore:${ore}_shard`, 7), 1.0)
      ],
      TICKS,
      YIELD
    )
  }

  ;[
    "copper",
    "gold",
    "emerald",
    "nickel",
    "iron",
    "redstone",
    "coal",
    "lapis",
    "quartz"
  ].forEach(ore => {
    addSoil(ore)
    addCrop(ore)
  })
})

